aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2018-10-24 15:07:31 +0200
committerJan Gelety <jgelety@cisco.com>2018-10-24 18:41:39 +0200
commit38040609edf3dd6fb15221d3ac27446048826768 (patch)
tree0d28d2b95c56c9e240c874a49e6b4623b6bec428 /resources
parent07594a1bc8f26a8b84778e9320d2f44dc5eab2e4 (diff)
Remove usage of vpp-ext-deps package
This package is not needed for csit enymore. Change-Id: Ie32a9c9322873e66554bb69112d4428697c866db Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'resources')
-rw-r--r--resources/libraries/bash/function/artifacts.sh7
-rw-r--r--resources/libraries/bash/function/gather.sh3
-rw-r--r--resources/libraries/bash/function/per_patch.sh10
3 files changed, 2 insertions, 18 deletions
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh
index 5ead2980b7..abb0b5f428 100644
--- a/resources/libraries/bash/function/artifacts.sh
+++ b/resources/libraries/bash/function/artifacts.sh
@@ -55,7 +55,6 @@ function download_ubuntu_artifacts () {
# Variables read:
# - REPO_URL - FD.io Packagecloud repository.
# - VPP_VERSION - VPP version.
- # - DKMS_VERSION - DKMS version.
# - INSTALL - If install packages or download only. Default: download
set -exuo pipefail
@@ -71,12 +70,6 @@ function download_ubuntu_artifacts () {
else
artifacts+=(${vpp[@]/%/=${VPP_VERSION-}})
fi
- dkms=(vpp-ext-deps)
- if [ -z "${DKMS_VERSION-}" ]; then
- artifacts+=(${dkms[@]})
- else
- artifacts+=(${dkms[@]/%/=${DKMS_VERSION-}})
- fi
if [ "${INSTALL:-false}" = true ]; then
sudo apt-get -y install "${artifacts[@]}" || {
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index b5bc692955..d5c294a4b5 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -272,9 +272,6 @@ function gather_vpp () {
warn "Downloading latest VPP packages from Packagecloud."
else
warn "Downloading stable VPP packages from Packagecloud."
- DKMS_VERSION="$(<"${CSIT_DIR}/DPDK_STABLE_VER")" || {
- die "Read DPDK stable version failed."
- }
VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
die "Read VPP stable version failed."
}
diff --git a/resources/libraries/bash/function/per_patch.sh b/resources/libraries/bash/function/per_patch.sh
index 4353a5e1a5..24e85235cc 100644
--- a/resources/libraries/bash/function/per_patch.sh
+++ b/resources/libraries/bash/function/per_patch.sh
@@ -46,9 +46,9 @@ function build_vpp_ubuntu_amd64 () {
# then for its parent commit. On Jenkins, no dpdk is installed at first,
# locally it might have been installed. New dpdk is installed second call.
# If make detects installed vpp-ext-deps with matching version,
- # it skips building vpp-ext-deps entirely, but we need that file.
+ # it skips building vpp-ext-deps entirely.
# On the other hand, if parent uses different dpdk version,
- # The new vpp-ext-deps is built, but the old one is not removed
+ # the new vpp-ext-deps is built, but the old one is not removed
# from the build directory if present. (Further functions move both,
# and during test dpkg decides on its own which version gets installed.)
# As per_patch is too dumb (yet) to detect any of that,
@@ -65,12 +65,6 @@ function build_vpp_ubuntu_amd64 () {
die "Make install-ext-deps failed."
}
build-root/vagrant/"build.sh" || die "Vagrant VPP build script failed."
- # CSIT also needs the external dependency artifacts, which is not in
- # build-root.
- mv -v "build/external/vpp-ext-deps"*".deb" "build-root"/ || {
- die "*.deb move failed."
- }
-
echo "*******************************************************************"
echo "* VPP ${1-} BUILD SUCCESSFULLY COMPLETED" || {
die "Argument not found."